var APP_ID = "2644B5E3D688A76F89815D2E49D1389BCBWKM";
var APP_NAME = "城竞联盟";

// service.js 也要跟着变
var SERVER_IP = "http://wxserver.4starsport.com/";
var SERVER_HOST = "http://wxserver.4starsport.com/front/sports/app/";

var RETURN_STATUS_PROMPT = "prompt";
var RETURN_STATUS_SUCCESS = "success";
var RETURN_STATUS_UNKNOWN_ERROR = "unknownError";

var RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO = "网络连接失败，请稍后再试";

(function($, owner) {
	/**
	 * 判断是否需要升级
	 **/
	owner.upgrade = function(callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法   	
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
                		// 业务逻辑判断
                		if (xhr.responseText == RETURN_STATUS_UNKNOWN_ERROR) {
                			return callback("应用升级出错");
                		}
                		var data = JSON.parse(xhr.responseText);
                		// if (upgradeUrl != "") {
                			// owner.downloadPackage(upgradeUrl);
                		// }
                		
                		localStorage.setItem("upgradeUrl",data.upgradeUrl);
                		localStorage.setItem("upgradeContent",data.upgradeContent);
                		return callback();
                    }
                    break;
            }
		};
		
		var wgtVer = "0.0.0";
		plus.runtime.getProperty(plus.runtime.appid,function(inf) {
        	wgtVer = inf.version;
        	console.log("当前应用版本：" + wgtVer);
        	
	        var osType = "";
	    	if(mui.os.ios) 
	    	   osType = "ios";
	    	else if (mui.os.android)
	    	   osType = "apk";
	    	
	        xhr.open("GET", SERVER_HOST + "upgradePackageUrl?version=" + wgtVer + "&osType=" + osType + "&appId=" + APP_ID);
	        xhr.send(); 
    	});
	};
	
    
    /**
	 * 下载更新包
	 **/
	owner.downloadPackage = function(upgradeUrl) {
       	plus.downloader.createDownload(upgradeUrl, {}, function(d,status){
        	if (status == 200) { 
            	console.log("下载更新包成功：" + d.filename);
            	localStorage.setItem("upgradePath",d.filename);
        	} else {
            	plus.nativeUI.toast("应用升级失败:" + status);
        	}
    	}).start();
	};
	
	owner.listSignInMonth = function(userId,year,month,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "listSignInMonth?appId=" + APP_ID + "&year=" + year + "&month=" + month + "&userId=" + userId + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.signRule = function(localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "signRule?appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };
    
	owner.sign = function(userId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "signIn");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("appId=" + APP_ID + "&userId=" + userId + "&" + owner.appVersion());
    };
    
    
    owner.products = function(start,count,title,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "products?start=" + (start * count) + "&count=" + count + "&appId=" + APP_ID + "&productName=" + title + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    
    owner.myProducts = function(userId,start,count,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "myProducts?start=" + (start * count) + "&count=" + count + "&appId=" + APP_ID + "&userId=" + userId + "&" + owner.appVersion());
        xhr.send();
    };

    
    owner.myProps = function(userId,start,count,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "myProps?start=" + (start * count) + "&count=" + count + "&appId=" + APP_ID + "&userId=" + userId + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.productInfo = function(infoId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "productInfo?appId=" + APP_ID + "&id=" + infoId + "&" + owner.appVersion());
        xhr.send();
    };

    
    owner.updateUserAddress = function(userId,ext6,ext7,ext8,ext9,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "updateUserAddress");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("appId=" + APP_ID + "&userId=" + userId + "&ext6=" + ext6 + "&ext7=" + ext7 + "&ext8=" + ext8 + "&ext9=" + ext9 + "&" + owner.appVersion());
    };
    
    
	owner.getUserInfo = function(userId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "getUserInfo");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("appId=" + APP_ID + "&userId=" + userId + "&" + owner.appVersion());
    };
    
	owner.updateUserPhoneNumber = function(userId,phoneNumber,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "updateUserPhoneNumber");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("appId=" + APP_ID + "&phoneNumber=" + phoneNumber + "&userId=" + userId + "&" + owner.appVersion());
    };
    
	owner.updateUserName = function(userId,userName,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "updateUserName");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("appId=" + APP_ID + "&userName=" + userName + "&userId=" + userId + "&" + owner.appVersion());
    };
    
    owner.updateUserCardId = function(userId,cardId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "updateUserCardId");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("appId=" + APP_ID + "&cardId=" + cardId + "&userId=" + userId + "&" + owner.appVersion());
    };
    
	owner.unReadMessageCount = function(userId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,data.content);
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "unReadMessageCount?appId=" + APP_ID + "&userId=" + userId + "&" + owner.appVersion());
        xhr.send();
    };
    
	owner.uploadPic = function(imgBase64Data,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,data.content);
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "uploadPic");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
        xhr.send("appId=" + APP_ID + "&imgBase64Data=" + imgBase64Data + "&" + owner.appVersion());
    };
    
	owner.uploadHeadPortrait = function(userId,imgBase64Data,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "uploadHeadPortrait");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
        xhr.send("userId=" + userId + "&appId=" + APP_ID + "&imgBase64Data=" + imgBase64Data + "&" + owner.appVersion());
    };
    
	owner.login = function(phone,password,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "login");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
        xhr.send("phone=" + phone + "&appId=" + APP_ID + "&password=" + password + "&" + owner.appVersion());
    };


	owner.modifyUserPassword = function(userId,oldPassword,newPassword,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };

		xhr.open("POST", SERVER_HOST + "modifyUserPassword");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("userId=" + userId + "&oldPassword=" + oldPassword + "&newPassword=" + newPassword + "&appId=" + APP_ID + "&" + owner.appVersion());
    };
    
    
    owner.messageInfo = function(messageId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };

		xhr.open("GET", SERVER_HOST + "messageInfo?appId=" + APP_ID + "&messageId=" + messageId + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.classification = function(localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };

		xhr.open("GET", SERVER_HOST + "classification?appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.messages = function(start,count,userId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };

		xhr.open("GET", SERVER_HOST + "messages?appId=" + APP_ID + "&start=" + (start * count) + "&count=" + count + "&userId=" + userId + "&" + owner.appVersion());
        xhr.send();
    };
    
    owner.insertFeedback = function(userId,feedbackContent,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("POST", SERVER_HOST + "insertFeedback");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("userId=" + userId + "&appId=" + APP_ID + "&feedbackContent=" + feedbackContent + "&" + owner.appVersion());
    };
    
    owner.otherDetailedMyGames = function(userId,registrationType,itemId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "myGames?appId=" + APP_ID + "&itemId=" + itemId + "&userId=" + userId + "&registrationType=" + registrationType + "&" + owner.appVersion());
        xhr.send();
    };
    
    owner.myGames = function(userId,registrationType,start,count,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "myGames?appId=" + APP_ID + "&start=" + (start * count) + "&count=" + count + "&userId=" + userId + "&registrationType=" + registrationType + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.feedbacks = function(start,count,userId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "feedbacks?appId=" + APP_ID + "&start=" + (start * count) + "&count=" + count + "&userId=" + userId + "&" + owner.appVersion());
        xhr.send();
    };
    
    
	owner.registration = function(nickName,name,phone,password,phoneCode,businessUnionId,cardId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "registration");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("phone=" + phone + "&appId=" + APP_ID + "&password=" + password + "&nickName=" + nickName + "&name=" + name + "&phoneCode=" + phoneCode + "&businessUnionId=" + businessUnionId + "&cardId=" + cardId + "&" + owner.appVersion());
    };


	owner.resetPassword = function(phone,password,phoneCode,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("POST", SERVER_HOST + "resetPassword");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');   
        xhr.send("phone=" + phone + "&appId=" + APP_ID + "&password=" + password + "&phoneCode=" + phoneCode + "&" + owner.appVersion());
    };

	
	owner.sportsRegistrationPayment = function(serverIds,registrationFlag,itemId,userId,teamName,teamPhones,emergencyCalls,payType,sessionStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							sessionStorage.setItem(sessionStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "sportsRegistrationPayment?appId=" + APP_ID + "&itemId=" + itemId + "&userId=" + userId + "&teamName=" + teamName + "&teamPhones=" + teamPhones + "&emergencyCalls=" + emergencyCalls + "&payType=" + payType + "&registrationFlag=" + registrationFlag + "&serverIds=" + serverIds + "&" + owner.appVersion());
        xhr.send();
    };

	owner.exitLogin = function(callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };

		xhr.open("GET", SERVER_HOST + "exitLogin?appId=" + APP_ID + "&teamPhones=" + teamPhones + "&" + owner.appVersion());
        xhr.send();
    };	
    
    
	owner.queryPhoneName = function(teamPhones,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "queryPhoneName?appId=" + APP_ID + "&teamPhones=" + teamPhones + "&" + owner.appVersion());
        xhr.send();
    };

	
	owner.sportsProductPayment = function(userId,id,address,orderNo,orderNumber,propsId,propsNumber,sessionStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							sessionStorage.setItem(sessionStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "sportsProductPayment?appId=" + APP_ID + "&id=" + id + "&address=" + address + "&orderNo=" + orderNo +"&quantity=" + orderNumber + "&propsId=" + propsId + "&propsNumber=" + propsNumber + "&userId=" + userId + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    
    owner.productPaymentSuccess = function(accountProductId,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "productPaymentSuccess/" + accountProductId);
        xhr.send();
    };
    
    
    owner.productPaymentError = function(accountProductId,callback) {
		callback = callback || $.noop;
		var xhr = new XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "productPaymentError/" + accountProductId);
        xhr.send();
    };
    
    
    owner.registrationPaymentSuccess = function(registrationId,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "registrationPaymentSuccess/" + registrationId);
        xhr.send();
    };


    owner.registrationPaymentError = function(registrationId,totalMessageId,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "registrationPaymentError/" + registrationId + "?totalMessageId=" + totalMessageId);
        xhr.send();
    };


	owner.registrationCode = function(phone,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "/registrationCode?appId=" + APP_ID + "&phone=" + phone + "&" + owner.appVersion());
        xhr.send();
    };


	owner.forgetPasswordCode = function(phone,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
		xhr.open("GET", SERVER_HOST + "forgetPasswordCode?appId=" + APP_ID + "&phone=" + phone + "&" + owner.appVersion());
        xhr.send();
    };


    owner.homePicture = function(start,count,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "homePicture?start=" + start + "&count=" + count + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };


	owner.gameItemSort = function(itemId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "gameItemSort?itemId=" + itemId + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };

    
    owner.isCleanLoginInfo = function(phone,password,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,data.content);
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
	    xhr.open("POST", SERVER_HOST + "isCleanLoginInfo");
        xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
        xhr.send("phone=" + phone + "&password=" + password + "&appId=" + APP_ID + "&" + owner.appVersion());
    };
    
    
	owner.gameInfos = function(gameId,userId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "gameInfos?gameId=" + gameId + "&userId=" + userId + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };


	owner.gameDetails = function(itemId,userId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "gameDetails?itemId=" + itemId + "&userId=" + userId + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };


	owner.gameSort = function(itemType,unionId,sortFlag,start,count,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "eachGameSort?sortFlag=" + sortFlag + "&start=" + start + "&count=" + count + "&unionId=" + unionId + "&itemType=" + itemType + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };
    
    
	owner.gameSortField = function(itemType,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "gameSortField?itemType=" + itemType  + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.gameSortFieldForOther = function(itemType,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "gameSortFieldForOther?itemType=" + itemType  + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };
    

    owner.infoNewsAndRules = function(start,count,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	   
        xhr.open("GET", SERVER_HOST + "infoNewsAndRules?start=" + start + "&count=" + count + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };

	
	owner.games = function(unionId,start,count,gameType,gameTimeStatus,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "games?start=" + (start * count) + "&unionId=" + unionId + "&count=" + count + "&appId=" + APP_ID + "&gameType=" + gameType + "&gameTimeStatus=" + gameTimeStatus + "&" + owner.appVersion());
        xhr.send();
    };


	owner.infoNews = function(start,count,title,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "infoNews?start=" + (start * count) + "&count=" + count + "&appId=" + APP_ID + "&title=" + title + "&" + owner.appVersion());
        xhr.send();
    };


	owner.infoGames = function(start,count,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "infoGames?start=" + start + "&count=" + count + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.infoGames = function(start,count,title,localStorageKey,callback) { // 此方法多了一个title查找功能
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "infoGames?start=" + (start * count) + "&count=" + count + "&title=" + title + "&appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };


	owner.businessUnions = function(localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "businessUnions?appId=" + APP_ID + "&" + owner.appVersion());
        xhr.send();
    };
    
    
	owner.businessInfo = function(infoId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "businessInfo?appId=" + APP_ID + "&infoId=" + infoId + "&" + owner.appVersion());
        xhr.send();
    };
    
    
	owner.pageADPic = function(pageADPicType,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "pageADPic?appId=" + APP_ID + "&pageADPicType=" + pageADPicType + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.oneBusinessInfoPublish = function(infoSource,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "oneBusinessInfoPublish?appId=" + APP_ID + "&infoSource=" + infoSource + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.systemDropdownOptions = function(type,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "systemDropdownOptions?appId=" + APP_ID + "&type=" + type + "&" + owner.appVersion());
        xhr.send();
    };
    
    
	owner.inofRules = function(start,count,title,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "inofRules?start=" + (start * count) + "&count=" + count + "&appId=" + APP_ID + "&title=" + title + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.productPaymentConfirmation = function(id,userId,orderNumber,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "productPaymentConfirmation?appId=" + APP_ID + "&id=" + id + "&orderNumber=" + orderNumber + "&userId=" + userId + "&" + owner.appVersion());
        xhr.send();
    };
    
    
    owner.registrationPaymentConfirmation = function(itemId,userId,localStorageKey,callback) {
		callback = callback || $.noop;
		var xhr = new plus.net.XMLHttpRequest(); // ajax 跨域调用的方法
        xhr.onreadystatechange = function() {
        	switch(xhr.readyState) {
                case 4:
                	if (xhr.status == 200) {
					    var data = JSON.parse(xhr.responseText);
						if (RETURN_STATUS_SUCCESS == data.key) {
							localStorage.setItem(localStorageKey,JSON.stringify(data.content));
							return callback();
						} else {
							return callback(data.content);
						}
                    } else {
                    	return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
                    }
                    break;
            }
		};
		xhr.error = function() {
	        return callback(RETURN_STATUS_VALUE_CONNECTION_FAILED_INFO);
	    };
	    
        xhr.open("GET", SERVER_HOST + "registrationPaymentConfirmation?appId=" + APP_ID + "&itemId=" + itemId + "&userId=" + userId + "&" + owner.appVersion());
        xhr.send();
    };
    
    owner.sleep = function(numberMillis) {
    	var now = new Date();
    	var exitTime = now.getTime() + numberMillis;
    	while (true) {
        	now = new Date();
        	if (now.getTime() > exitTime)
            	return;
    	}
    };
    
    owner.appVersion = function() {
    	var osType = "";
    	var version = "1.0.0";
    	
        if(mui.os.ios) 
	    	osType = "ios";
	    else if (mui.os.android)
	    	osType = "apk";
    	
    	return "osType=" + osType + "&version=" + version;
    };	
    
    // 获取url传递参数
	owner.getQueryString = function(name) {
 	    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)","i");
        var r = window.location.search.substr(1).match(reg);
        if (r!=null) 
        	return (r[2]); 
        return null;
    };
    
    // iscroll控件
	app.iScroll = function() {
		var pullDownEl, pullDownOffset,
		    pullUpEl, pullUpOffset;

		app.iScroll.loaded = function() {
		    pullDownEl = document.getElementById('pullDown');
		    if (pullDownEl != null)
		    	pullDownOffset = pullDownEl.offsetHeight;
		    pullUpEl = document.getElementById('pullUp');
		    if (pullUpEl != null)
		    	pullUpOffset = pullUpEl.offsetHeight;
		    
		    app.iScroll.myScroll = new iScroll('wrapper', {
		        useTransition: false, 
		        topOffset: pullDownOffset,
		        hScrollbar:false,
		        vScrollbar:false,
		        onRefresh: function () {
		            if (pullDownEl != null && pullDownEl.className.match('loading')) {
		                pullDownEl.className = '';
		            } else if (pullUpEl != null && pullUpEl.className.match('loading')) {
		                pullUpEl.className = '';
		            }
		        },
		        onScrollMove: function () {
		            if (pullDownEl != null && this.y > 15 && !pullDownEl.className.match('flip')) {
		                // pullDownEl.className = 'flip';
		                // this.minScrollY = 0;
		            } else if (pullDownEl != null && this.y < 15 && pullDownEl.className.match('flip')) {
		                // pullDownEl.className = '';
		                // this.minScrollY = -pullDownOffset;
		            } else if (pullUpEl != null && this.y < (this.maxScrollY - 15) && !pullUpEl.className.match('flip')) {
		                pullUpEl.className = 'flip';
		                this.maxScrollY = this.maxScrollY;
		            } else if (pullUpEl != null && this.y > (this.maxScrollY + 15) && pullUpEl.className.match('flip')) {
		                pullUpEl.className = '';
		                this.maxScrollY = pullUpOffset;
		            }
		        },
		        onScrollEnd: function () {
		            if (pullDownEl != null && pullDownEl.className.match('flip')) {
		                // pullDownEl.className = 'loading';
			            // pullDownAction();   // 下拉
		            } else if (pullUpEl != null && pullUpEl.className.match('flip')) {
		                pullUpEl.className = 'loading';
		                pullUpAction(); // 上拉
		            }
		        }
		    });
		    
		    setTimeout(function () { document.getElementById('wrapper').style.left = '0'; }, 800);
		}
		
		document.addEventListener('touchmove', function (e) { e.preventDefault(); }, false);
	}
}(mui, window.app = {}));